#include <linux/device.h>
#include <linux/platform_device.h>
#include <linux/gpio.h>

#include <plat/irvine.h>

static int sd_pwr_en_probe(struct platform_device *pdev)
{
	int ret;

	ret = gpio_request(TT_VGPIO_SD_PWR_EN, "sd_pwr_en");

	if (ret)
		return ret;

	return gpio_direction_output(TT_VGPIO_SD_PWR_EN, 1);
}

static int sd_pwr_en_suspend(struct platform_device *pdev)
{
	return gpio_direction_output(TT_VGPIO_SD_PWR_EN, 0);
}

static int sd_pwr_en_resume(struct platform_device *pdev)
{
	return gpio_direction_output(TT_VGPIO_SD_PWR_EN, 1);
}

static struct platform_driver sd_pwr_en_driver = {
	.probe 	 = sd_pwr_en_probe,
	.suspend = sd_pwr_en_suspend,
	.resume  = sd_pwr_en_resume,
	.driver  = {
		.owner	= THIS_MODULE,
		.name	= "sd_pwr_en",
	},
};

static int __init sd_pwr_en_init()
{
	int ret;

	ret = platform_driver_register(&sd_pwr_en_driver);
	if (ret)
		printk(KERN_ERR "Error creating the SD_PWR_EN platform driver\n");

	return ret;
}

arch_initcall(sd_pwr_en_init);
